%define srcname cluster

Name:           python-%{srcname}
Version:        1.4.1.post3
Release:        %mkrel 5
Summary:        Create several groups (clusters) of objects from a list
Group:          Development/Python
License:        LGPLv2
URL:            https://pypi.python.org/pypi/cluster
Source0:        https://github.com/exhuma/%{name}/archive/refs/tags/v%{version}.tar.gz#/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

%description
python-cluster is a "simple" package that allows to create several groups
(clusters) of objects from a list. It's meant to be flexible and able to
cluster any object. To ensure this kind of flexibility, you need not only to
supply the list of objects, but also a function that calculates the similarity
between two of those objects. For simple datatypes, like integers, this can be
as simple as a subtraction, but more complex calculations are possible. Right
now, it is possible to generate the clusters using a hierarchical clustering
and the popular K-Means algorithm. For the hierarchical algorithm there are
different "linkage" (single, complete, average and uclus) methods available.

#------------------------------------------------

%package -n     python3-%{srcname}
Summary:        Create several groups (clusters) of objects from a list
Group:          Development/Python
BuildArch:	noarch
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
python3-cluster is a "simple" package that allows to create several groups
(clusters) of objects from a list. It's meant to be flexible and able to
cluster any object. To ensure this kind of flexibility, you need not only to
supply the list of objects, but also a function that calculates the similarity
between two of those objects. For simple datatypes, like integers, this can be
as simple as a subtraction, but more complex calculations are possible. Right
now, it is possible to generate the clusters using a hierarchical clustering
and the popular K-Means algorithm. For the hierarchical algorithm there are
different "linkage" (single, complete, average and uclus) methods available.

#------------------------------------------------

%prep
%setup -q -n %{name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cluster

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG README*



%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.4.1.post3-5.mga10
+ Revision: 2238252
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 1.4.1.post3-4.mga10
+ Revision: 2154557
- rebuild for python3.13

* Sun Dec 10 2023 papoteur <papoteur> 1.4.1.post3-3.mga10
+ Revision: 2017014
- rebuild for python3.12
- adapt to pyproject

* Wed Mar 23 2022 umeabot <umeabot> 1.4.1.post3-2.mga9
+ Revision: 1823881
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 1.4.1.post3-1.mga9
+ Revision: 1785572
- version 1.4.1.post3
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.4.1.post2-4.mga9
+ Revision: 1733298
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.4.1.post2-3.mga8
+ Revision: 1535888
- Mageia 8 Mass Rebuild

* Mon Oct 14 2019 tv <tv> 1.4.1.post2-2.mga8
+ Revision: 1452950
- rebuild for python-3.8
- drop python2 subpkg

* Sun Jan 13 2019 wally <wally> 1.4.1.post2-1.mga7
+ Revision: 1355986
- new version 1.4.1.post2
- add python3 pkg

* Thu Sep 20 2018 umeabot <umeabot> 1.3.3-3.mga7
+ Revision: 1288424
- Mageia 7 Mass Rebuild

* Sat Jan 27 2018 daviddavid <daviddavid> 1.3.3-2.mga7
+ Revision: 1197371
- rename python-cluster to python2-cluster

* Sat Nov 12 2016 guillomovitch <guillomovitch> 1.3.3-1.mga6
+ Revision: 1066646
- new version 1.3.3

* Thu Feb 04 2016 umeabot <umeabot> 1.1.2-8.mga6
+ Revision: 935706
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.2-7.mga5
+ Revision: 750375
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.1.2-6.mga5
+ Revision: 728187
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.1.2-5.mga5
+ Revision: 687937
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.1.2-3.mga4
+ Revision: 544941
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.1.2-2.mga4
+ Revision: 500499
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Aug 21 2013 guillomovitch <guillomovitch> 1.1.2-1.mga4
+ Revision: 468928
- imported package python-cluster

